Bug 1186900 (kwave) - Review Request: kwave - Sound Editor for KDE
Summary: Review Request: kwave - Sound Editor for KDE
Keywords:
Status: CLOSED DUPLICATE of bug 1609629
Alias: kwave
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2015-01-28 19:52 UTC by Mario Blättermann
Modified: 2018-07-30 04:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 04:06:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1533719 None None None Never

Internal Links: 1533719

Description Mario Blättermann 2015-01-28 19:52:20 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/kwave.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/kwave-0.8.99-2.fc21.src.rpm

Description:
With Kwave you can record, play back, import and edit many sorts of audio files
including multi-channel files. Kwave includes some plugins to transform audio
files in several ways and presents a graphical view with a complete zoom- and
scroll capability.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2015-02-01 19:21:22 UTC
New version:

Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/kwave.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/kwave-0.8.99-3.fc21.src.rpm

* Sat Jan 31 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 0.8.99-3
- Add update-desktop-database scriptlet

Comment 2 Pranav Kant 2015-02-01 21:05:38 UTC
This is an unofficial review.

- This BR gcc-c++ is not needed.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 5.4M including HTML and kwave directories.
  Please create a separate -doc subpackage for the same.

Comment 3 Pranav Kant 2015-02-01 21:31:13 UTC
This is an unofficial review.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [ ] = Not evaluated


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find GNU-LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 5253120 bytes in 241 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     File plugins/playback/PlayBack-ALSA.cpp contains incorrect fsf-address.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in kwave
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane.
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 6461440 bytes in /usr/share
     This includes a major chunk of documentation in HTML directory 
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kwave-0.8.99-3.fc21.x86_64.rpm
          kwave-0.8.99-3.fc21.src.rpm
kwave.x86_64: I: enchant-dictionary-not-found de
kwave.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_stop.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_rew.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_viewmag.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_start.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_end.svgz
kwave.x86_64: E: postin-without-ldconfig /usr/lib64/libkwave.so.0.8.99
kwave.x86_64: E: postun-without-ldconfig /usr/lib64/libkwave.so.0.8.99
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_fwd.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_viewmagfit.svgz
kwave.x86_64: E: postin-without-ldconfig /usr/lib64/libkwavegui.so.0.8.99
kwave.x86_64: E: postun-without-ldconfig /usr/lib64/libkwavegui.so.0.8.99
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_pause.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_zoom_in.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_zoom_original.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_loop.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_pause_2.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_record.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/kwave.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_zoom_out.svgz
kwave.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/actions/kwave_player_play.svgz
kwave.x86_64: W: no-manual-page-for-binary kwave
kwave.x86_64: E: non-empty-%post /sbin/ldconfig
kwave.x86_64: E: non-empty-%postun /sbin/ldconfig
kwave.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 6 errors, 19 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
kwave (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    libFLAC++.so.6()(64bit)
    libFLAC.so.8()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libaudiofile.so.1()(64bit)
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libkwave.so.0()(64bit)
    libkwavegui.so.0()(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libopus.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisenc.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
kwave:
    appdata()
    appdata(kwave.appdata.xml)
    application()
    application(kde4/kwave.desktop)
    kwave
    kwave(x86-64)
    libkwave.so.0()(64bit)
    libkwavegui.so.0()(64bit)
    mimehandler(application/ogg)
    mimehandler(application/x-flac)
    mimehandler(application/x-ogg)
    mimehandler(audio/basic)
    mimehandler(audio/ogg)
    mimehandler(audio/opus)
    mimehandler(audio/wav)
    mimehandler(audio/x-aifc)
    mimehandler(audio/x-aiff)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-ircam)
    mimehandler(audio/x-ogg)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(audio/x-wav)



Source checksums
----------------
http://downloads.sourceforge.net/kwave/kwave-0.8.99-2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 94ad5d5d526714c5c496cf2f83d4e1aa34081997f574b465cd1972e5cba377f2
  CHECKSUM(SHA256) upstream package : 94ad5d5d526714c5c496cf2f83d4e1aa34081997f574b465cd1972e5cba377f2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -v -b 1186900
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Mario Blättermann 2015-02-02 19:25:27 UTC
(In reply to Pranav Kant from comment #3)
>   Note: Cannot find GNU-LICENSE in rpm(s)
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Licenses should be cloud-safe, that's why we move them to %license from now on:
http://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB)

Indeed, it is better to move it to a subpackage. I've created a noarch -doc subpackage which only contains the HTML manuals.

> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.

See above.

> kwave.x86_64: W: gzipped-svg-icon
> ...
> /usr/share/icons/hicolor/scalable/actions/kwave_player_play.svgz

KDE ships gzipped SVGs in many packages. This is no problem so far, but some software out of KDE is not able to display them. So I have converted the program icon to PNG in many resolutions, because even Docky can't show the original and falls back to a generic one.
  
> kwave.x86_64: W: no-manual-page-for-binary kwave

Would be nice to have a man page, but the kwave binary doesn't have any special options besides those of Qt and KDE, so it's probably not worth the effort to write a man page.
 
> kwave.x86_64: E: non-empty-%post /sbin/ldconfig
> kwave.x86_64: E: non-empty-%postun /sbin/ldconfig

Strange thing... I don't know what this means. Will investigate it.


New files:
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/kwave.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/kwave-0.8.99-4.fc21.src.rpm

Comment 5 Pranav Kant 2015-02-02 19:31:44 UTC
Your new SPEC URL still contains BR gcc-c++, I think its not needed.

Comment 6 Till Maas 2015-02-03 13:59:30 UTC
(In reply to Mario Blättermann from comment #4)
> (In reply to Pranav Kant from comment #3)

>  
> > kwave.x86_64: E: non-empty-%post /sbin/ldconfig
> > kwave.x86_64: E: non-empty-%postun /sbin/ldconfig
> 
> Strange thing... I don't know what this means. Will investigate it.

You need to use e.g. the following:

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%post -p /sbin/ldconfig is only ok, when /sbin/ldconfig is the only command in %post.

Reference: http://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

Comment 7 Till Maas 2015-02-03 14:06:20 UTC
(In reply to Pranav Kant from comment #5)
> Your new SPEC URL still contains BR gcc-c++, I think its not needed.

There was a discussion to maybe remove gcc-c++ from the minimal build root and it is also not forbidden to include it, so it was a good finding, but is probably not worth changing.

Comment 8 Mario Blättermann 2015-02-03 18:43:44 UTC
Thanks for the hint, I've fixed the %post and %postun sections. And I've also removed gcc-c++ from BR.

New files:
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/kwave.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/kwave-0.8.99-5.fc21.src.rpm

Comment 9 Mario Blättermann 2015-02-07 15:07:01 UTC
I will test kwave with mp3 support. If it works as expected, I will introduce this package in RPMfusion only.

Comment 10 Mario Blättermann 2015-02-07 15:58:09 UTC
See the review request at RPMfusion:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=3539

Comment 11 Nicolas Chauvet (kwizart) 2017-03-24 23:09:37 UTC
Please re-open the review here since libmad in now in Fedora.

Comment 12 Sergio Monteiro Basto 2018-07-30 04:02:15 UTC
*** Bug 1609629 has been marked as a duplicate of this bug. ***

Comment 13 Sergio Monteiro Basto 2018-07-30 04:06:30 UTC

*** This bug has been marked as a duplicate of bug 1609629 ***


Note You need to log in before you can comment on or make changes to this bug.